# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at
#
#   http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing,
# software distributed under the License is distributed on an
# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
# KIND, either express or implied.  See the License for the
# specific language governing permissions and limitations
# under the License.
#
# Detailed Tuscany error messages for Java CAA testcases, where the testcase causes an
# exception either in initialization or at runtime
#

POJO_2003=org.apache.tuscany.sca.contribution.processor.ContributionResolveException: org.apache.tuscany.sca.implementation.java.IntrospectionException: JCA???? Implementation missing service method operation2 service interface org.oasisopen.sca.test.Service1Superset
POJO_5001=org.apache.tuscany.sca.contribution.processor.ContributionResolveException: org.apache.tuscany.sca.implementation.java.introspect.impl.NoConstructorException: No public constructor for class
POJO_5005=org.apache.tuscany.sca.contribution.processor.ContributionResolveException: org.apache.tuscany.sca.implementation.java.introspect.impl.AmbiguousConstructorException:
POJO_5006=org.apache.tuscany.sca.contribution.processor.ContributionResolveException: org.apache.tuscany.sca.implementation.java.introspect.impl.DuplicateConstructorException: Multiple constructors marked with @Constructor
POJO_5007=org.apache.tuscany.sca.contribution.processor.ContributionResolveException: org.apache.tuscany.sca.implementation.java.introspect.impl.InvalidConstructorException: Multiple annotated constructors
POJO_8002=org.oasisopen.sca.ServiceRuntimeException: [Composite: {http://docs.oasis-open.org/ns/opencsa/sca/200912}, Component: TEST_POJO_8002Component1] - Component service interface incompatible with implementation service interface: Component = TEST_POJO_8002Component1 Service = Service1Superset
POJO_8003=Unknown error message - need to determine the correct error message for this testcase
POJO_8008=Unknown error message - need to determine the correct error message for this testcase
POJO_8012=Unknown error message - need to determine the correct error message for this testcase
POJO_8013=org.apache.tuscany.sca.contribution.processor.ContributionResolveException: org.apache.tuscany.sca.implementation.java.introspect.impl.DuplicatePropertyException: duplicateProperty
POJO_8014=org.apache.tuscany.sca.contribution.processor.ContributionResolveException: org.apache.tuscany.sca.implementation.java.introspect.impl.DuplicateReferenceException: duplicateReference
POJO_8030=Unknown error message - need to determine the correct error message for this testcase
POJO_8031=Unknown error message - need to determine the correct error message for this testcase
POJO_8032=Unknown error message - need to determine the correct error message for this testcase
POJO_8037=org.oasisopen.sca.ServiceRuntimeException Unable to bind [] - = Unable to match the endpoint reference (@802172880)EndpointReference:  URI = TestClient#reference(reference1) WIRED_TARGET_NOT_FOUND Target = (@804663286)Endpoint:  URI = TEST_POJO_8037Component1#service(Service1) [Unresolved] with the policy of the service to which it refers, matching process was Match policy of (@802172880)EndpointReference:  URI = TestClient#reference(reference1) WIRED_TARGET_NOT_FOUND Target = (@804663286)Endpoint:  URI = TEST_POJO_8037Component1#service(Service1) [Unresolved] to (@1907192237)Endpoint:  URI = TEST_POJO_8037Component1#service-binding(Service1/Service1) No match because the following intents are mutually exclusive {http://docs.oasis-open.org/ns/opencsa/sca/200912}SOAP.v1_1 {http://docs.oasis-open.org/ns/opencsa/sca/200912}SOAP.v1_2
POJO_9001=org.oasisopen.sca.ServiceRuntimeException: [Contribution: POJO_9001, Artifact: Test_POJO_9001.composite] - XMLSchema validation error occured in: Test_POJO_9001.composite ,line = 30, column = 9, Message = cvc-complex-type.3.2.2: Attribute 'interface' is not allowed to appear in element 'implementation.java'.
POJO_10001=org.oasisopen.sca.ServiceRuntimeException: [Contribution: POJO_10001, Artifact: META-INF/sca-contribution.xml] - The value of the @package attribute on the <import.java/> element is not unique across all other <import.java/> elements within the contribution.
POJO_10004=org.apache.tuscany.sca.contribution.processor.ContributionResolveException: [JCI100007] A Java package org.oasisopen.sca.test;version=1.0.0 that is specified on an export element MUST be contained within the contribution containing the export element.
POJO_10005=org.oasisopen.sca.ServiceRuntimeException: [Contribution: POJO_10005, Artifact: META-INF/sca-contribution.xml] - The value of the @package attribute on the <export.java/> element is not unique across all other <export.java/> elements within the contribution.
POJO_10006=org.apache.tuscany.sca.contribution.processor.ContributionResolveException: [JCI100007] A Java package org.oasisopen.sca.test.y that is specified on an export element MUST be contained within the contribution containing the export element.